"""
Created on      Feb. 7th, 2020
@author: Kenji Arai

Refrence
    https://qiita.com/Acqua_Alta/items/9f19afddc6db1e4d4286
    https://debugging-code.com/2018/11/10/77/
    https://qiita.com/usop4/items/9abfa1a4b6bf66a5f8fa
"""

import serial
import serial.tools.list_ports

def connect_dtlggr():
    coms = serial.tools.list_ports.comports()
    comlist=[]
    n=0
    for com in coms:
        comlist.append(com.device)
        n += 1
    for i in range(n):
        try:
            s = serial.Serial(comlist[i],115200,timeout=3)
        except:
            continue

        sData = s.readline()
        if not sData:
            s.close()
        else:
            s.close()
            return comlist[i]

    return None
